searchData={"items":[{"type":"module","title":"Emojix","doc":"Documentation for Emojix.","ref":"Emojix.html"},{"type":"function","title":"Emojix.all/0","doc":"Returns a list of all 3019 Emoji, including variations.","ref":"Emojix.html#all/0"},{"type":"function","title":"Examples - Emojix.all/0","doc":"iex> Emojix.all()\n      [\n        %Emojix.Emoji{\n          description: \"flag: Andorra\",\n          hexcode: \"1F1E6-1F1E9\",\n          id: 3577,\n          shortcodes: [\"flag_ad\"],\n          tags: [\"AD\", \"flag\"],\n          unicode: \"🇦🇩\",\n          variations: []\n        },\n        %Emojix.Emoji{\n          description: \"downcast face with sweat\",\n          hexcode: \"1F613\",\n          id: 85,\n          shortcodes: [\"shamed\"],\n          tags: [\"cold\", \"face\", \"sweat\"],\n          unicode: \"😓\",\n          variations: []\n        },\n      ...\n    ]","ref":"Emojix.html#all/0-examples"},{"type":"function","title":"Emojix.find_by_hexcode/1","doc":"Find a emoji by hexcode","ref":"Emojix.html#find_by_hexcode/1"},{"type":"function","title":"Examples - Emojix.find_by_hexcode/1","doc":"iex> Emojix.find_by_hexcode(\"1F600\")\n    %Emojix.Emoji{\n      description: \"grinning face\",\n      hexcode: \"1F600\",\n      id: 1,\n      shortcodes: [\"gleeful\"],\n      tags: [\"face\", \"grin\"],\n      unicode: \"😀\",\n      variations: []\n    }\n    iex> Emojix.find_by_hexcode(\"FFFFF\")\n    nil","ref":"Emojix.html#find_by_hexcode/1-examples"},{"type":"function","title":"Emojix.find_by_shortcode/1","doc":"Find a emoji by shortcode","ref":"Emojix.html#find_by_shortcode/1"},{"type":"function","title":"Examples - Emojix.find_by_shortcode/1","doc":"iex> Emojix.find_by_shortcode(\"gleeful\")\n    %Emojix.Emoji{\n      description: \"grinning face\",\n      hexcode: \"1F600\",\n      id: 1,\n      shortcodes: [\"gleeful\"],\n      tags: [\"face\", \"grin\"],\n      unicode: \"😀\",\n      variations: []\n    }\n    iex> Emojix.find_by_shortcode(\"non_valid\")\n    nil","ref":"Emojix.html#find_by_shortcode/1-examples"},{"type":"function","title":"Emojix.find_by_unicode/1","doc":"Find a emoji by unicode","ref":"Emojix.html#find_by_unicode/1"},{"type":"function","title":"Examples - Emojix.find_by_unicode/1","doc":"iex> Emojix.find_by_unicode(\"😼\")\n    %Emojix.Emoji{\n      description: \"cat with wry smile\",\n      hexcode: \"1F63C\",\n      id: 110,\n      shortcodes: [\"smirking_cat\"],\n      tags: [\"cat\", \"face\", \"ironic\", \"smile\", \"wry\"],\n      unicode: \"😼\",\n      variations: []\n    }","ref":"Emojix.html#find_by_unicode/1-examples"},{"type":"function","title":"Emojix.replace/2","doc":"Returns a new string where each emoji contained in the given string is applied to a function.","ref":"Emojix.html#replace/2"},{"type":"function","title":"Examples - Emojix.replace/2","doc":"iex> Emojix.replace(\"The 🐶 likes 🦴\", fn e -> e.shortcodes end)\n    \"The dog_face likes bone\"","ref":"Emojix.html#replace/2-examples"},{"type":"function","title":"Emojix.scan/1","doc":"Returns a list of all emoji contained within that string, in order.","ref":"Emojix.html#scan/1"},{"type":"function","title":"Examples - Emojix.scan/1","doc":"iex> Emojix.scan(\"Elixir is awesome!! ✌🏻👍🏽\")\n    [\n      %Emojix.Emoji{\n        description: \"victory hand: light skin tone\",\n        hexcode: \"270C-1F3FB\",\n        id: 206,\n        shortcodes: [\"victory_tone1\"],\n        tags: [],\n        unicode: \"✌🏻\",\n        variations: []\n      },\n      %Emojix.Emoji{\n        description: \"thumbs up: medium skin tone\",\n        hexcode: \"1F44D-1F3FD\",\n        id: 275,\n        shortcodes: [\"thumbsup_tone3\", \"+1_tone3\", \"yes_tone3\"],\n        tags: [],\n        unicode: \"👍🏽\",\n        variations: []\n      }\n    ]\n    iex> Emojix.scan(\"There is no emoji in this sentence\")\n    []","ref":"Emojix.html#scan/1-examples"},{"type":"function","title":"Emojix.search_by_description/1","doc":"Search a emoji by description","ref":"Emojix.html#search_by_description/1"},{"type":"function","title":"Examples - Emojix.search_by_description/1","doc":"iex> Emojix.search_by_description(\"grinning\")\n    [\n      %Emojix.Emoji{\n        description: \"grinning face with sweat\",\n        hexcode: \"1F605\",\n        id: 6,\n        shortcodes: [\"embarassed\"],\n        tags: [\"cold\", \"face\", \"open\", \"smile\", \"sweat\"],\n        unicode: \"😅\",\n        variations: []\n      },\n      %Emojix.Emoji{\n        description: \"grinning cat with smiling eyes\",\n        hexcode: \"1F638\",\n        id: 107,\n        shortcodes: [\"grinning_cat\"],\n        tags: [\"cat\", \"eye\", \"face\", \"grin\", \"smile\"],\n        unicode: \"😸\",\n        variations: []\n      },\n      ...\n    ]\n    iex> Emojix.search_by_description(\"blah\")\n    []","ref":"Emojix.html#search_by_description/1-examples"},{"type":"function","title":"Emojix.search_by_tag/1","doc":"Search a emoji by tag","ref":"Emojix.html#search_by_tag/1"},{"type":"function","title":"Examples - Emojix.search_by_tag/1","doc":"iex> Emojix.search_by_tag(\"face\")\n    [\n      %Emojix.Emoji{\n        description: \"downcast face with sweat\",\n        hexcode: \"1F613\",\n        id: 85,\n        shortcodes: [\"shamed\"],\n        tags: [\"cold\", \"face\", \"sweat\"],\n        unicode: \"😓\",\n        variations: []\n      },\n      %Emojix.Emoji{\n        description: \"smiling face with sunglasses\",\n        hexcode: \"1F60E\",\n        id: 61,\n        shortcodes: [\"confident\"],\n        tags: [\"bright\", \"cool\", \"face\", \"sun\", \"sunglasses\"],\n        unicode: \"😎\",\n        variations: []\n      },\n      ...\n    ]\n    iex> Emojix.search_by_tag(\"blah\")\n    []","ref":"Emojix.html#search_by_tag/1-examples"},{"type":"module","title":"Emojix.Emoji","doc":"Documentation for Emojix.Emoji.","ref":"Emojix.Emoji.html"},{"type":"type","title":"Emojix.Emoji.t/0","doc":"","ref":"Emojix.Emoji.html#t:t/0"}],"content_type":"text/markdown"}